import 'package:voice_buddies/app/models/common_model.dart';

import '../../../utils/all_imports.dart';

class DeleteAccountController extends GetxController {
  int? selectedIndex;
  RxString selectedReason = "".obs;
  TextEditingController message = TextEditingController();
  List<CommonModel> deleteReason = [
    CommonModel(name: AppStrings.imUsingDifferentAccount, isSelected: false),
    CommonModel(name: AppStrings.theAppIsNtWorkingProperly, isSelected: false),
    CommonModel(name: AppStrings.imWorriedAboutMyPrivacy, isSelected: false),
    CommonModel(name: AppStrings.noOneReplies, isSelected: false),
    CommonModel(name: AppStrings.other, isSelected: false),
  ];

  String getSelectedReasonName() {
    for (var reason in deleteReason) {
      if (reason.isSelected) {
        return reason.name;
      }
    }
    return ""; // Return null if no reason is selected
  }
}
